Page MenuHomePhabricator

Jenkins: Implement hhvm based voting jobs for mediawiki and extensions
Closed, ResolvedPublic

Description

With more and more traffic being served by hhvm backends, it feels prudent to make passing the hhvm test suites a prerequisite for merging.

As they currently fail (cf. https://integration.wikimedia.org/ci/job/mediawiki-core-regression-hhvm-master/2649/console), fixing those failures is a blocker for this bug.

Details

Reference
bz73521

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:49 AM
bzimport set Reference to bz73521.
bzimport added a subscriber: Unknown Object (MLST).
scfc created this task.Nov 17 2014, 6:32 PM

I will add another non voting job that runs the phpunit test suite using HHVM. I found out last week that our Trusty instances have /usr/bin/php pointing to HHVM so that is fairly easy to copy paste the job :]

Bah the Trusty slaves are back to Zend php. So either we can:

A) set the alternative to have /usr/bin/php point to /usr/bin/hhvm

B) update all jobs and scripts to replace php by something like $PHP_FLAVOR which we could pass when triggering the job.

Seems the first is way easier.

Adding a couple dependencies that are blocking HHVM on CI slaves:

bug 71413 [OPS] hhvm 3.3.0-20140925+wmf3 has some annoying build dependency
bug 73356 CI Trusty slaves no more have hhvm installed

bd808 triaged this task as High priority.Nov 26 2014, 7:11 PM
bd808 added a project: HHVM.
bd808 added a subscriber: bd808.

The HHVM migration has progressed to the point that we are not longer distinguishing between PHP5 and HHVM servers in the app server pool. The last report I heard based on instance count was that 34% of requests were being served by HHVM.

hashar added a comment.Dec 1 2014, 5:08 PM

The main stopper is having hhvm installed and properly configured which is T75356: [OPS] Jenkins: Slaves running Ubuntu Trusty should have hhvm installed.

Change 178862 had a related patch set uploaded (by Hashar):
Support MediaWiki core under HHVM

https://gerrit.wikimedia.org/r/178862

Patch-For-Review

Change 178862 merged by jenkins-bot:
Support MediaWiki PHP tests under HHVM

https://gerrit.wikimedia.org/r/178862

Change 179946 had a related patch set uploaded (by Hashar):
zuul: suffix mw testextension jobs with '-zend'

https://gerrit.wikimedia.org/r/179946

Patch-For-Review

Change 179946 merged by jenkins-bot:
zuul: suffix mw testextension jobs with '-zend'

https://gerrit.wikimedia.org/r/179946

Change 179951 had a related patch set uploaded (by Hashar):
Suffix mediawiki-phpunit with '-zend' enable hhvm

https://gerrit.wikimedia.org/r/179951

Patch-For-Review

Change 179951 merged by jenkins-bot:
Suffix mediawiki-phpunit with '-zend' enable hhvm

https://gerrit.wikimedia.org/r/179951

hashar renamed this task from Jenkins: Implement mediawiki-phpunit-hhvm job for mediawiki-core repo (and voting) to Jenkins: Implement hhvm based voting jobs for mediawiki and extensions.Dec 15 2014, 8:43 PM
hashar renamed this task from Jenkins: Implement hhvm based voting jobs for mediawiki and extensions to Jenkins: Implement hhvm based voting jobs for mediawiki and extensions (tracking).
hashar claimed this task.
hashar set Security to None.

I have made it a tracking bug and widened scope to MediaWiki extensions as well.

+ RelEng project to make this task appear on our team work board.

Change 180815 had a related patch set uploaded (by Hashar):
Make mediawiki-phpunit-hhvm voting!11BBQ!!

https://gerrit.wikimedia.org/r/180815

Patch-For-Review

Change 180815 merged by jenkins-bot:
Make mediawiki-phpunit-hhvm voting!11BBQ!!

https://gerrit.wikimedia.org/r/180815

Change 180820 had a related patch set uploaded (by Hashar):
Make mediawiki-core-regression-hhvm-master voting

https://gerrit.wikimedia.org/r/180820

Patch-For-Review

Change 180820 merged by jenkins-bot:
Make mediawiki-core-regression-hhvm-master voting

https://gerrit.wikimedia.org/r/180820

mediawiki-core now has a HHVM based job that is voting.

Next step are the extensions which is a different beast.

The hhvm job is voting for mediawiki/core mediawiki/vendor.

Some selected extensions have voting hhvm tests via a job shared between a subset of extensions. See my Jan 12 announcement on wikitech-l.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 2:04 PM
greg removed hashar as the assignee of this task.Sep 24 2015, 1:18 AM
greg updated the task description. (Show Details)
Legoktm closed this task as Resolved.Feb 10 2016, 8:48 AM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

This happened as part of the php55 version bump.

Legoktm removed Legoktm as the assignee of this task.Feb 10 2016, 8:49 AM
Phabricator_maintenance renamed this task from Jenkins: Implement hhvm based voting jobs for mediawiki and extensions (tracking) to Jenkins: Implement hhvm based voting jobs for mediawiki and extensions.Aug 13 2016, 9:38 PM